## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate sequoia-wot

Name:           rust-sequoia-wot
Version:        0.14.0
Release:        %autorelease
Summary:        Implementation of OpenPGP's web of trust

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-wot
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-wot-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An implementation of OpenPGP's web of trust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# build with the default crypto backend (Nettle)
%cargo_build -f sequoia-openpgp/crypto-nettle

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Mar 08 2025 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-1
- Update to version 0.14.0; Fixes RHBZ#2350068

* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.13.3-1
- Update to version 0.13.3; Fixes RHBZ#2343773

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 27 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.2-1
- Update to version 0.13.2; Fixes RHBZ#2321775

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to version 0.12.0; Fixes RHBZ#2292432

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-4
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-3
- Rebuild       for rustix 0.38.34

* Mon Apr 22 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-2
- Switch crypto backend from Nettle to OpenSSL

* Tue Mar 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-1
- Update to version 0.11.0; Fixes RHBZ#2265677

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-1
- Update to version 0.9.0; Fixes RHBZ#2253296

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-4
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Rebuild for sequoia-openpgp v1.16

* Sat May 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Initial import (#2186839)
## END: Generated by rpmautospec
